/* 
Theme Name: Sascha Heller Child 
Theme URI: https://sascha-heller.de/
Description: Child Theme für das "Hello Elementor"-Theme
Author: Medienagentur Koenig
Author URI: https://medienagentur-koenig.de/
Template: hello-elementor
Version: 5.2.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/


/* Farbschema */
:root {
    --saschahellgrau: #c8c8c8;
    --saschagruen: #a1c85d;
    --saschadunkelgrau: #323232;
    --saschaazur: #157F96;
}



/* Deaktiviere Hello-Header & Footer */
.site-header, .site-footer, .page-header {
    display: none !important;
}

html {
    scroll-padding-top: 250x !important;
}




/* "Row-Padding" wegen vertikalem Menue */

.row {
    padding-left: 1em !important;
    padding-right: 1em !important;
} 


@media (min-width: 768px) {
    .row {
        padding-left: 3em !important;
        padding-right: 3em !important;
    }
    }
    

@media (min-width: 1281px) {
    .row {
        padding-left: 175px !important;
        padding-right: 150px !important;
}
}




/* Small-Screen-Overlay */

.overlay-small-dev {
    display: block !important;
}

.overlay-small-dev {
    min-height: 100vh !important;
}

@media (min-height: 250px) and (min-width: 250px) {
    .overlay-small-dev {
        display: none !important;
}
}



/* Coming Soon */

.follow-me p {
    color: white !important;
}




/* Header */

@media (max-height: 751px) {
    .container-header {
        padding-top: 50px !important;
}
}

.main {
    min-height: calc(100vh - 500px) !important;
}

@media (min-width: 768px) {
    .main {
        min-height: calc(100vh - 550px) !important;
    }
}

@media (min-width: 1281px) {
.main {
    min-height: calc(100vh - 660px) !important;
}
}

/* +++++++++++++++ Printer-View +++++++++++++++ */

@media print {
    html, body {
      display: none;  
    }
  }



/* +++++++++++++++ Animation +++++++++++++++ */

@keyframes fadeDownHigh {
    from {
        opacity: 0;
        transform: translate3d(0,-150px,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

@keyframes fadeDownMedium {
    from {
        opacity: 0;
        transform: translate3d(0,-90px,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

@keyframes fadeDownLow {
    from {
        opacity: 0;
        transform: translate3d(0,-50px,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.elementor-element.rotateIn {
    animation-name: fadeDownHigh
}

.elementor-element.rotateInDownLeft {
    animation-name: fadeDownMedium
}

.elementor-element.rotateInDownRight {
    animation-name: fadeDownLow
}



/* Accessibility: Reduce Motion */

.bildstark-reduced {
    display: none !important
}


@media (prefers-reduced-motion: reduce) { 

    #Reveal {display: none !important;}

    .elementor-motion-effects-element {
                transform: translateY(0) !important;
                --translateY: 0px !important;
    } 

    .elementor-element, .elementor-widget-container,  .elementor-element .elementor-widget-container {
        -webkit-transition: none !important;
        -moz-transition: none !important;
        -o-transition: none !important;
        transition: none !important;
        animation: none !important;
        animation-name: none !important;
        animation-duration: 0s !important;
        --background-transition: none !important;
        animation-delay: 0s !important;
       
        
      }
      
    .elementor-invisible {
           visibility: visible !important;
      }
      
    .e-con {
        --overlay-transition: 0s !important;
        -webkit-transition: none !important;
        -moz-transition: none !important;
        -o-transition: none !important;
        transition: none !important;
        animation: none !important;
        animation-name: none !important;
        animation-duration: 0s !important;
        --background-transition: none !important;
          animation-delay: 0s !important;
        }
      
      
    .elementor-motion-effects-element {
        transform: translateY(0) !important;
        --translateY: 0px !important;
    } 

    .image-zoom:hover {
        transform: scale(1) !important;
    }

    .bildstark-motion {
        display: none !important;}

    .bildstark-reduced {
        display: block !important;
    }

    #podcast-muster {
        display: none !important;
    }
    
    body {
        cursor: default !important;
        }
    
    #cursor-neu {
        display: none !important;
}
}



/* Accessibility: Kontrast */

@media (prefers-contrast: more) {
    .high-contrast {
        background-color: #323232 !important;
        background-image: none !important
    }
    
}